<?php

if (str_replace("\\", "/", $_SERVER["SCRIPT_FILENAME"]) == str_replace("\\", "/", __FILE__)) {
    echo "Error: This file cannot be accessed directly";
    die();
}

global $cfg;

/* Generate plugin specific plugin path configuration */

$handle = @opendir($cfg['path']['contenido'] . $cfg["path"]['plugins'] );

unset($cfg['plugins']['config']); // otherwise this could be a security hole

while ($plugin = @readdir($handle))
{
    $configfile = Array();
	$configfile['sql']      = $cfg['path']['contenido'] . $cfg["path"]['plugins'] . $plugin . "/includes/cfg_sql.plugin.php";
	$configfile['main']     = $cfg['path']['contenido'] . $cfg["path"]['plugins'] . $plugin . "/includes/config.plugin.php";
	$configfile['language'] = $cfg['path']['contenido'] . $cfg["path"]['plugins'] . $plugin . "/includes/language.plugin.php";
	$configfile['locale']   = $cfg['path']['contenido'] . $cfg["path"]['plugins'] . $plugin . "/locale/";

	if (is_dir($cfg['path']['contenido'] . $cfg["path"]['plugins'] . $plugin ))
	{
		if (@file_exists($configfile['sql']))
		{
			$cfg['plugins']['config']['sql'][] = $configfile['sql'];
		}

		if (@file_exists($configfile['main']))
		{
			$cfg['plugins']['config']['main'][] = $configfile['main'];
		}

    	if (@file_exists($configfile['locale']) && $plugin != "..")
    	{
			$cfg['plugins']['config']['locale'][$plugin] = $configfile['locale'];
    	}

    	if (@file_exists($configfile['language']))
    	{
			$cfg['plugins']['config']['language'][] = $configfile['language'];
    	}

	}

}

unset($configfile, $handle, $plugin);

?>
