<?php
/*****************************************
* File      :   $RCSfile: startup.php,v $
* Project   :   Contenido
* Descr     :   Contenido Startup Engine
*
* Created   :   24.02.2004
* Modified  :   $Date: 2007/07/11 15:36:56 $
*
* � four for business AG, www.4fb.de
*
* $Id: startup.php,v 1.13 2007/07/11 15:36:56 wirths Exp $
******************************************/

/* "Workaround" for register_globals=off settings. */
require_once ( dirname(__FILE__) . '/globals_off.inc.php');

if (!file_exists( dirname(__FILE__) . '/config.php'))
{
	$msg = "<h1>Fatal Error</h1><br>";
	$msg .= "Could not open the configuration file <b>config.php</b>.<br><br>";
	$msg .= "Please make sure that you saved the file in the setup program. If you had to place the file manually on your webserver, make sure that it is placed in your contenido/includes directory.";

	die ($msg);
}

/* Include the config first */
include_once ( dirname(__FILE__) . '/config.php');
include_once ( dirname(__FILE__) . '/config.path.php');

/* Various base API functions */
require_once ( dirname(__FILE__) . '/api/functions.api.general.php');

/* Include configurations */
include_once( dirname(__FILE__) . "/config.misc.php");
include_once( dirname(__FILE__) . "/config.colors.php");
include_once( dirname(__FILE__) . "/config.path.php");
include_once( dirname(__FILE__) . "/config.templates.php");

/* Generate arrays for available login languages
 * ---------------------------------------------
 * Author: Martin Horwath
 */

global $cfg;

$handle = opendir($cfg['path']['contenido'] . $cfg['path']['locale'] );

while ($locale = readdir($handle))
{
   if (is_dir($cfg['path']['contenido'] . $cfg['path']['locale'] . $locale ) && $locale != ".." && $locale != "." )
   {
      if (file_exists($cfg['path']['contenido'] . $cfg['path']['locale'] . $locale . DIRECTORY_SEPARATOR . "LC_MESSAGES" . DIRECTORY_SEPARATOR . "contenido.po") &&
         file_exists($cfg['path']['contenido'] . $cfg['path']['locale'] . $locale . DIRECTORY_SEPARATOR . "LC_MESSAGES" . DIRECTORY_SEPARATOR . "contenido.mo") &&
         file_exists($cfg['path']['contenido'] . $cfg['path']['xml'] . "lang_".$locale.".xml") ) {

         $cfg["login_languages"][] = $locale;
         $cfg["lang"][$locale] = "lang_".$locale.".xml";
      }
   }
}

cInclude ("includes", "functions.general.php");
cInclude("includes", "functions.i18n.php");

/* Don't remove these lines. If you do, you'll break the whole system */
include_once ($cfg["path"]["contenido"].$cfg["path"]["includes"]."cfg_sql.inc.php");

/* Generate the plugin cfg paths */
include_once($cfg["path"]["contenido"].$cfg["path"]["includes"]."config.plugins.php");

/* Include the sql plugin configuration */
if (is_array($cfg['plugins']['config']['sql'])) {
    foreach ($cfg['plugins']['config']['sql'] as $configfile) {
        include_once($configfile);
    }
}

if (file_exists($cfg["path"]["contenido"].$cfg["path"]["includes"]."config.local.php")) {
    include_once($cfg["path"]["contenido"].$cfg["path"]["includes"]."config.local.php");
}

include_once ($cfg["path"]["phplib"] . "prepend.php");

if (file_exists($cfg["path"]["contenido"].$cfg["path"]["includes"]."config.chains.php")) {
    include_once($cfg["path"]["contenido"].$cfg["path"]["includes"]."config.chains.php");
}

/* Include the main plugin configuration */
if (is_array($cfg['plugins']['config']['main'])) {
    foreach ($cfg['plugins']['config']['main'] as $configfile) {
        include_once($configfile);
    }
}

checkMySQLConnectivity();

?>
